Skip to content
Docs

Validate Drain delivery configuration

POSThttps://api.vercel.com/v1/drains/test
Validate the delivery configuration of a Drain using sample events.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({
bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await vercel.drains.testDrain({
teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
slug: "my-team-url-slug",
});
console.log(result);
}
run();
Response
"value"
AuthorizationbearerToken

Default authentication mechanism

teamIdstringOptional
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.
application/json
schemasobjectRequired
deliveryobjectRequired3 variants
200Success
400One of the provided values in the request body is invalid.
401The request is not authorized.
402Error
403You do not have permission to access this resource.
404Error
410Error